LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XFixedHyperlink Interface Reference

gives access to the text and formatting of a fixed hyperlink field. More...

`import"XFixedHyperlink.idl";`

Inheritance diagram for XFixedHyperlink:

## Public Member Functions
void | setText ([in] string Text)
| sets the text of the control. More...
string | getText ()
| returns the text of the control. More...
void | setURL ([in] string URL)
| sets the url of the control. More...
string | getURL ()
| returns the url of the control. More...
void | setAlignment ([in] short nAlign)
| sets the alignment of the text in the control. More...
short | getAlignment ()
| returns the alignment of the text in the control. More...
void | addActionListener ([in] com::sun::star::awt::XActionListener l)
| registers an event handler for click action event. More...
void | removeActionListener ([in] com::sun::star::awt::XActionListener l)
| unregisters an event handler for click action event. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the text and formatting of a fixed hyperlink field.

## Member Function Documentation

## ◆ addActionListener()

void addActionListener | ( | [in] com::sun::star::awt::XActionListener | l | ) |

registers an event handler for click action event.

## ◆ getAlignment()

short getAlignment | ( |  | ) |

returns the alignment of the text in the control.

## ◆ getText()

string getText | ( |  | ) |

returns the text of the control.

## ◆ getURL()

string getURL | ( |  | ) |

returns the url of the control.

## ◆ removeActionListener()

void removeActionListener | ( | [in] com::sun::star::awt::XActionListener | l | ) |

unregisters an event handler for click action event.

## ◆ setAlignment()

void setAlignment | ( | [in] short | nAlign | ) |

sets the alignment of the text in the control.

    0: left
    1: center
    2: right

## ◆ setText()

void setText | ( | [in] string | Text | ) |

sets the text of the control.

## ◆ setURL()

void setURL | ( | [in] string | URL | ) |

sets the url of the control.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XFixedHyperlink.idl